/**
 * output package name
 */
package com.kingdee.eas.custom.performancenew.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class orderStatucEnum extends StringEnum
{
    public static final String CLOSEORDER_VALUE = "2";//alias=未启用排序
    public static final String STARTORDER_VALUE = "1";//alias=已启用排序
    public static final String SUBMITTED_VALUE = "3";//alias=已提交

    public static final orderStatucEnum closeOrder = new orderStatucEnum("closeOrder", CLOSEORDER_VALUE);
    public static final orderStatucEnum startOrder = new orderStatucEnum("startOrder", STARTORDER_VALUE);
    public static final orderStatucEnum submitted = new orderStatucEnum("submitted", SUBMITTED_VALUE);

    /**
     * construct function
     * @param String orderStatucEnum
     */
    private orderStatucEnum(String name, String orderStatucEnum)
    {
        super(name, orderStatucEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static orderStatucEnum getEnum(String orderStatucEnum)
    {
        return (orderStatucEnum)getEnum(orderStatucEnum.class, orderStatucEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(orderStatucEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(orderStatucEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(orderStatucEnum.class);
    }
}